diff --git a/lib/dpkg/atomic-file.c b/lib/dpkg/atomic-file.c
index 07ab49c..cf83c4a 100644
--- a/lib/dpkg/atomic-file.c
+++ b/lib/dpkg/atomic-file.c
@@ -68,8 +68,10 @@ atomic_file_sync(struct atomic_file *file)
 		ohshite(_("unable to write new file '%.250s'"), file->name_new);
 	if (fflush(file->fp))
 		ohshite(_("unable to flush new file '%.250s'"), file->name_new);
+#if 0
 	if (fsync(fileno(file->fp)))
 		ohshite(_("unable to sync new file '%.250s'"), file->name_new);
+#endif
 }
 
 void
diff --git a/lib/dpkg/dbmodify.c b/lib/dpkg/dbmodify.c
index 9acba1f..3e44a5b 100644
--- a/lib/dpkg/dbmodify.c
+++ b/lib/dpkg/dbmodify.c
@@ -359,9 +359,11 @@ modstatdb_note_core(struct pkginfo *pkg)
   if (ftruncate(fileno(importanttmp), uvb.used))
     ohshite(_("unable to truncate for updated status of `%.250s'"),
             pkg_name(pkg, pnaw_nonambig));
+#if 0
   if (fsync(fileno(importanttmp)))
     ohshite(_("unable to fsync updated status of `%.250s'"),
             pkg_name(pkg, pnaw_nonambig));
+#endif
   if (fclose(importanttmp))
     ohshite(_("unable to close updated status of `%.250s'"),
             pkg_name(pkg, pnaw_nonambig));
diff --git a/lib/dpkg/dir.c b/lib/dpkg/dir.c
index 34bdac6..7313b25 100644
--- a/lib/dpkg/dir.c
+++ b/lib/dpkg/dir.c
@@ -43,6 +43,7 @@
 static void
 dir_sync(DIR *dir, const char *path)
 {
+#if 0
 	int fd;
 
 	fd = dirfd(dir);
@@ -52,6 +53,7 @@ dir_sync(DIR *dir, const char *path)
 
 	if (fsync(fd))
 		ohshite(_("unable to sync directory '%s'"), path);
+#endif
 }
 
 /**
diff --git a/src/main.c b/src/main.c
index 4ec4ecd..0795414 100644
--- a/src/main.c
+++ b/src/main.c
@@ -191,7 +191,7 @@ int fc_breaks=0, fc_badpath=0, fc_overwritediverted=0, fc_architecture=0;
 int fc_nonroot=0, fc_overwritedir=0, fc_conff_new=0, fc_conff_miss=0;
 int fc_conff_old=0, fc_conff_def=0;
 int fc_conff_ask = 0;
-int fc_unsafe_io = 0;
+int fc_unsafe_io = 1;
 int fc_badverify = 0;
 int fc_badversion = 0;
 
